Subject: bug#31303: substitute: guix substitute: error: TLS error in procedure 'handshake'

From: [email-masked]
Date: Sat, 28 Apr 2018 21:27:11 -0400

On 04/29/2018 at 10:19 Carlo Zancanaro writes:

> Hey George,
>
> On Sat, Apr 28 2018, George myglc2 Clemmer wrote:
>> g1@sysi17 ~ [env]$ guix environment
>> --substitute-urls=https://g1.local:8080
>
> The guix substitute command only runs a normal http server, so you
> have to use http://, not https://. I think the other servers you
> mention are behind proxies which handle the SSL part and forward the
> requests on to the substitute process.
>
> Does it work if you run this instead?
>
>  guix environment --substitute-urls=http://g1.local:8080
>
> Carlo

LOL, yes it does!

Duh, I guess I was so impressed by all the HTTPS's in "3.3.3 Substitute
Authentication" that I couldn't see the HTTP's in "5.11 Invoking ‘guix
publish’" ;-)

Many thanks - George